MEDIAINFO(1)

NAME
MediaInfo - command line utility to display information about audio/video files

MediaInfo-Gui - graphical utility to display information about audio/video files

SYNOPSIS

mediainfo [-Options...] FileName1 [Filename2...]
mediainfo --Inform=FMT FileName
mediainfo-gui [-Options...] FileName1 [Filename2...]
mediainfo-gui --Inform=FMT FileName

DESCRIPTION
MediaInfo supplies technical and tag information about a video or audio file

What information can I get from MediaInfo?

- General: title, author, director, album, track number, date, duration...
- Video: codec, aspect, fps, bitrate...
- Audio: codec, sample rate, channels, language, bitrate...
- Text: language of subtitle
- Chapters: number of chapters, list of chapters

What format does MediaInfo support?

- Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2, MPEG-4, DVD (VOB)...
- Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...
- Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
- Subtitles: SRT, SSA, ASS, SAMI...

What can I do with it?

- Read many video and audio file formats
- View information in different formats (text, sheet, tree, HTML...)
- Customise these viewing formats
- Export information as text, CSV, HTML...
- Graphical Interface, Command Line, or library versions available

OPTIONS
MediaInfo supports the following case-insensitive options:

--Help, -h
    Display help and exit

--Help-Inform
    Display help for --Inform option

--Help-AnOption
    Display help for "AnOption"

--Version
    Display MediaInfo version and exit

--Full, -f
    Full information Display (all internal tags)

--Output=HTML
    Full information Display with HTML tags

--Output=XML
    Full information Display with XML tags

--Inform=FMT
    Template defined information display.

    FMT is "[xxx;]Text", where xxx can be any one of General, Video, Audio, Text, Chapter, Image, or Menu. Text can be the template text, or a filename in the form of file:///path

    See --Info-Parameters for available parameters in the text. Parameters must be surrounded by "%".

--Info-Parameters
    Display list of --Inform parameters

--Language=raw
    Dislpay non-translated unique identifiers (internal text)

--LogFile=LogFile
    Save the output in LogFile

EXAMPLES

  Display information about a video file
 $ mediainfo foo.mkv

  Display aspect ratio
 $ mediainfo --Inform="Video;%DisplayAspectRatio%" foo.mkv
 $ mediainfo --Inform="Video;file://Video.txt" foo.mkv

Both forms are equivalent if Video.txt contains:
 %DisplayAspectRatio%

  Display aspect ration and audio format
 $ mediainfo --Inform="file://Text.txt foo.mkv

If Text.txt contains:

- "Video;%DisplayAspectRatio%"
    Then the display aspect ratio is printed out.

- "Audio;%Format%"
    Then the audio format is printed out.

AUTHOR
This manual page was written by Chow Loong Jin <hyperair@debian.org> for the Debian system (but may be used by others). Permissions is granted to copy, distribute, and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation.

On Debian systems, the full text of the GNU General Public License, Version 3 can be found in /usr/share/common-licenses/GPL-3.